[//]: # (dart-daap-client)
[//]: # (README.md)

# A dart-daap-client documentation

*dart-daap-client is a Dart [DAAP (Digital Audio Access Protocol)](https://en.wikipedia.org/wiki/Digital_Audio_Access_Protocol/)  protocol client library*

[![GitHub](https://github.com/vint21h/dart-daap-client/workflows/build/badge.svg)](https://github.com/vint21h/dart-daap-client/actions/)
[![Coveralls](https://coveralls.io/repos/github/vint21h/dart-daap-client/badge.svg?branch=master)](https://coveralls.io/github/vint21h/dart-daap-client?branch=master)
[![Version](https://img.shields.io/pub/v/daapc.svg)](https://pub.dartlang.org/packages/daapc/)
[![License: MIT](https://img.shields.io/badge/license-MIT-blue.svg)](https://opensource.org/licenses/MIT/)

Contents
* [Installation](#installation)
* [Usage](example/README.md)
* [Acknowledgments](#acknowledgments)
* [Contributing](CONTRIBUTING.md)
* [Licensing](#licensing)
* [Contacts](#contacts)

## Installation

* Depend on it:
```yaml
# pubspec.yaml

[...]
dependencies:
  daapc: "0.3.3"
[...]
```
* Install it:
```console
$ pub get
```

## Acknowledgments
* [Digital Audio Access Protocol (DAAP) Protocol documentation v0.2](http://tapjam.net/daap/)
* [Digital Audio Access Protocol (DAAP) Protocol documentation Version 0.3](https://github.com/bjoernricks/daap-protocol/)
* [DAAP client library implemented in Python](https://github.com/tominsam/PythonDaap/)
* [spydaap: a simple DAAP server for python](https://github.com/egh/spydaap/)
* [nodejs DAAP parser](https://github.com/roblan/daap-parser/)
* [Linux/FreeBSD DAAP (iTunes) and MPD media server with support for AirPlay devices (multiroom), Apple Remote (and compatibles), Chromecast, Spotify and internet radio](https://github.com/ejurgensen/forked-daapd/)
* [A C/C++ library to share digital audio between computers on a network, reverse engineered from and compatible with Apple's iTunes 4.0 implementation](https://sourceforge.net/projects/daap/)

## Licensing
dart-daap-client uses the MIT license. Please check the LICENSE file for more details.

## Contacts
**Project Website**: https://github.com/vint21h/dart-daap-client/

**Author**: Alexei Andrushievich <vint21h@vint21h.pp.ua>

For complete authors list see AUTHORS file.
